Topic
  • 5 replies
  • Latest Post - ‏2009-11-25T03:27:33Z by SystemAdmin
SystemAdmin
SystemAdmin
262 Posts

Pinned topic Instaling iSeriesAccess-6.1.0-1.0.i386 on fedora 11

‏2009-06-15T09:02:22Z |
Hello , I have a machine with a Fedora 11. I have installed unixODBC-2.2.14, and i have download iSeriesAccess-6.1.0-1.0.rpm.
When i try to install this rpm software I have this result
error: Error de dependencias:
libodbcinst.so.1 se necesita para iSeriesAccess-6.1.0-1.0.i386
libodbc.so.1 se necesita para iSeriesAccess-6.1.0-1.0.i386
libXm.so.3 se necesita para iSeriesAccess-6.1.0-1.0.i386
libXp.so.6 se necesita para iSeriesAccess-6.1.0-1.0.i386

Do you have any idea to complete the instalation?

Best regards, Julio.
Updated on 2009-11-25T03:27:33Z at 2009-11-25T03:27:33Z by SystemAdmin
  • SystemAdmin
    SystemAdmin
    262 Posts

    Re: Instaling iSeriesAccess-6.1.0-1.0.i386 on fedora 11

    ‏2009-06-17T07:10:07Z  
    To solve this dependences, I have installed in this order these rpm software
    1.- XFree86-libs-data-4.3.0-2.90.61.legacy.i386.rpm
    2.- openmotif-2.2.3-6.i386.rpm
    3.- unixODBC-2.2.12-7.fc9.i386.rpm

    I have installed iSeriesAccess

    rpm -ivh iSeriesAccess-6.1.0-1.0.i386.rpm
    Preparando... ########################################### 100%
    1:iSeriesAccess ########################################### 100%
    post install processing for iSeriesAccess 1.0...1
    iSeries Access ODBC Driver has been deleted (if it existed at all) because its usage count became zero
    odbcinst: Driver installed. Usage count increased to 1.
    Target directory is /etc

    but when I try to use, this is the error message

    ibm5250
    ibm5250: error while loading shared libraries: libXm.so.3: cannot open shared object file: No such file or directory
    Any ideas?
  • SystemAdmin
    SystemAdmin
    262 Posts

    Re: Instaling iSeriesAccess-6.1.0-1.0.i386 on fedora 11

    ‏2009-07-16T15:47:48Z  
    To solve this dependences, I have installed in this order these rpm software
    1.- XFree86-libs-data-4.3.0-2.90.61.legacy.i386.rpm
    2.- openmotif-2.2.3-6.i386.rpm
    3.- unixODBC-2.2.12-7.fc9.i386.rpm

    I have installed iSeriesAccess

    rpm -ivh iSeriesAccess-6.1.0-1.0.i386.rpm
    Preparando... ########################################### 100%
    1:iSeriesAccess ########################################### 100%
    post install processing for iSeriesAccess 1.0...1
    iSeries Access ODBC Driver has been deleted (if it existed at all) because its usage count became zero
    odbcinst: Driver installed. Usage count increased to 1.
    Target directory is /etc

    but when I try to use, this is the error message

    ibm5250
    ibm5250: error while loading shared libraries: libXm.so.3: cannot open shared object file: No such file or directory
    Any ideas?
    i have the same problem have you found some tips to resolve??
  • Partridge
    Partridge
    5 Posts

    Re: Instaling iSeriesAccess-6.1.0-1.0.i386 on fedora 11

    ‏2009-07-28T19:31:26Z  
    To solve this dependences, I have installed in this order these rpm software
    1.- XFree86-libs-data-4.3.0-2.90.61.legacy.i386.rpm
    2.- openmotif-2.2.3-6.i386.rpm
    3.- unixODBC-2.2.12-7.fc9.i386.rpm

    I have installed iSeriesAccess

    rpm -ivh iSeriesAccess-6.1.0-1.0.i386.rpm
    Preparando... ########################################### 100%
    1:iSeriesAccess ########################################### 100%
    post install processing for iSeriesAccess 1.0...1
    iSeries Access ODBC Driver has been deleted (if it existed at all) because its usage count became zero
    odbcinst: Driver installed. Usage count increased to 1.
    Target directory is /etc

    but when I try to use, this is the error message

    ibm5250
    ibm5250: error while loading shared libraries: libXm.so.3: cannot open shared object file: No such file or directory
    Any ideas?
    you just need to create a symlink in the directory that contains your libXm.so.#.#.#

    /usr/lib$ ls libXm.so* -l
    lrwxrwxrwx 1 root root 14 2009-07-27 13:15 libXm.so -> libXm.so.3.0.2
    lrwxrwxrwx 1 root root 14 2009-07-27 12:54 libXm.so.3 -> libXm.so.3.0.2
    -rw-r--r-- 1 root root 2430068 2008-11-10 12:58 libXm.so.3.0.2
  • dagar
    dagar
    6 Posts

    Re: Instaling iSeriesAccess-6.1.0-1.0.i386 on fedora 11

    ‏2009-09-10T14:34:07Z  
    • Partridge
    • ‏2009-07-28T19:31:26Z
    you just need to create a symlink in the directory that contains your libXm.so.#.#.#

    /usr/lib$ ls libXm.so* -l
    lrwxrwxrwx 1 root root 14 2009-07-27 13:15 libXm.so -> libXm.so.3.0.2
    lrwxrwxrwx 1 root root 14 2009-07-27 12:54 libXm.so.3 -> libXm.so.3.0.2
    -rw-r--r-- 1 root root 2430068 2008-11-10 12:58 libXm.so.3.0.2
    I had to download openmotif from rpm.pbone.net to resolve the dependencies. I am still having font issues though and have not found a way around that.

    derek@IT-testing ~$ LC_ALL=en_US
    derek@IT-testing ~$ ibm5250
    5250: INFORMATIONAL : Build Date: March 2008 (V6R1 1.0).
    5250: INFORMATIONAL :

    ** -*-lucidatypewriter-medium-r-normal-sans-0-* scalable fonts are **
    ** unavailable. The xlsfonts -fn "-*-*-medium-r-normal--*-*-*-*-m-*" **
    ** command lists the available fonts. Using fixed fonts. **
    ** If you want to use scaleable fonts, check the font FAQ and edit **
    ** /etc/X11/XF86Config or /etc/X11/fs/config file. **

    5250: ERROR : NSC0017: Xt Warning: Missing charsets in String to FontSet conversion.
    5250: ERROR : NSC0017: Xt Warning: Cannot convert string "-*-lucidatypewriter-medium-r-normal-*-24-*-75-75-m-*" to type FontSet.

    Let me know if anyone fixes this issue.
  • SystemAdmin
    SystemAdmin
    262 Posts

    Re: Instaling iSeriesAccess-6.1.0-1.0.i386 on fedora 11

    ‏2009-11-25T03:27:33Z  
    • dagar
    • ‏2009-09-10T14:34:07Z
    I had to download openmotif from rpm.pbone.net to resolve the dependencies. I am still having font issues though and have not found a way around that.

    derek@IT-testing ~$ LC_ALL=en_US
    derek@IT-testing ~$ ibm5250
    5250: INFORMATIONAL : Build Date: March 2008 (V6R1 1.0).
    5250: INFORMATIONAL :

    ** -*-lucidatypewriter-medium-r-normal-sans-0-* scalable fonts are **
    ** unavailable. The xlsfonts -fn "-*-*-medium-r-normal--*-*-*-*-m-*" **
    ** command lists the available fonts. Using fixed fonts. **
    ** If you want to use scaleable fonts, check the font FAQ and edit **
    ** /etc/X11/XF86Config or /etc/X11/fs/config file. **

    5250: ERROR : NSC0017: Xt Warning: Missing charsets in String to FontSet conversion.
    5250: ERROR : NSC0017: Xt Warning: Cannot convert string "-*-lucidatypewriter-medium-r-normal-*-24-*-75-75-m-*" to type FontSet.

    Let me know if anyone fixes this issue.
    Actually this is what worked for Fedora 12.

    I played with this for a long time (many nights). I tried to use the software package manager to download and install the latest unixODBC RPM and OpenMotif RPM, but iSeries Access didn't like them. In fact I had some between level RPMs (latest and what worked) of both and iSeries Access didn't like them either. Here are the RPMs I used and hopefully they are in the right order of installation. Like I said, I played with this a lot, and installed and un-installed many a RPM.

    Download the following RPMs.

    iSeriesAccess-6.1.0-1.0.i386.rpm

    openmoitf-2.2.3-6.i386.rpm

    XFree86-libs-data-4.3.0-2.90.55.i386.rpm

    readline-compat-4.3-307.i586.rpm (this may have been required by another RPM, don't remember)

    Install the unixODBC RPM.

    Install the XFree RPM.

    Install the READLN RPM.

    Install OpenMotif RPM.

    If all are successful then install the iSeriesAccess RPM.

    If iSeries Access successful then a couple of symbolic links are needed.

    Su root, then enter root password and run the following.

    ln -s /opt(ibm/iSeriesAccess/lib/*.so /usr/lib
    ln -s /opt/ibm/iSeriesAccess/bin/* /usr/bin
    Then I downloaded a Fedora helper application called EasyLife. I used it to download the TrueType and X11 fonts.

    From there I was able, from terminal, to type in ibm5250 and it came up! Like with Ubuntu, launchers (shortcuts) are needed to be added for each connection.

    HTH,

    Jay